package com.chenyang.nse.bussiness.entity.vo;

public class DutyInfoReqVO {
   private String roletype;

   public String getRoletype() {
      return this.roletype;
   }

   public void setRoletype(final String roletype) {
      this.roletype = roletype;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DutyInfoReqVO)) {
         return false;
      } else {
         DutyInfoReqVO other = (DutyInfoReqVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$roletype = this.getRoletype();
            Object other$roletype = other.getRoletype();
            if (this$roletype == null) {
               if (other$roletype != null) {
                  return false;
               }
            } else if (!this$roletype.equals(other$roletype)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DutyInfoReqVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $roletype = this.getRoletype();
      result = result * 59 + ($roletype == null ? 43 : $roletype.hashCode());
      return result;
   }

   public String toString() {
      return "DutyInfoReqVO(roletype=" + this.getRoletype() + ")";
   }
}
